## com.sun.grizzly.filter
Class UDPReadFilter

    java.lang.Object
      com.sun.grizzly.filter.ReadFilter
          com.sun.grizzly.filter.UDPReadFilter

All Implemented Interfaces:
  ProtocolFilter

Deprecated. The ReadFilter can be used for both TCP and UDP.

    public class UDPReadFilter

extends ReadFilter

Simple ProtocolFilter implementation which read the available bytes and delegate the processing to the next ProtocolFilter in the ProtocolChain. If no bytes are available, no new ProtocolHandler will be a invoked and the connection (SelectionKey) will be cancelled.

Author:
  Jeanfrancois Arcand

Field Summary
`static String` `UDP_SOCKETADDRESS` Deprecated.

Fields inherited from class com.sun.grizzly.filter.ReadFilter
`continousExecution`

Fields inherited from interface com.sun.grizzly.ProtocolFilter
`SUCCESSFUL_READ`

Constructor Summary
`UDPReadFilter()` Deprecated.

Method Summary
`boolean` `execute(Context ctx)` Deprecated. Read available bytes and delegate the processing of them to the next ProtocolFilter in the ProtocolChain.

Methods inherited from class com.sun.grizzly.filter.ReadFilter
`execute, isContinuousExecution, log, postExecute, setContinuousExecution`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDP_SOCKETADDRESS

    public static final String UDP_SOCKETADDRESS

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### UDPReadFilter

    public UDPReadFilter()

  Deprecated.

Method Detail

### execute

    public boolean execute(Context ctx)
                    throws IOException

  Deprecated.
  Read available bytes and delegate the processing of them to the next ProtocolFilter in the ProtocolChain.

  Specified by:
    `execute` in interface `ProtocolFilter`
  Overrides:
    `execute` in class `ReadFilter`
  Parameters:
    `ctx` - `Context`
  Returns:
    `true` if the next ProtocolFilter on the ProtocolChain need to bve invoked.
  Throws:
    `IOException`

Copyright © 2008 SUN Microsystems. All Rights Reserved.